function I = monteCarlo(f, checker, xmin, xmax, ymin, ymax, zmin, zmax, N)
%MONTECARLO: Monte Carlo Integration of f(x, y)
% Input:
%       f: function handle, the integrand of the integral
% checker: function handle, set the function value to zero if the points (x, y, z) is outside the region
%    xmin: scalar value, lower bound of x coordinate of the bounding box for the region
%    xmax: scalar value, upper bound of x coordinate of the bounding box for the region
%    ymin: scalar value, lower bound of y coordinate of the bounding box for the region
%    ymax: scalar value, upper bound of y coordinate of the bounding box for the region
%    zmin: scalar value, lower bound of z coordinate of the bounding box for the region
%    zmax: scalar value, upper bound of z coordinate of the bounding box for the region
%       N: scalar value, number of samples
% Output:
%       I: the integral of f(x, y, z) over the specific region
% Author: first_name last_name
% Date: mm/dd/yyyy

% PUT YOUR CODE HERE

end
